.m-card-options {
  margin-bottom: 2rem;

  &__category {
    margin-bottom: 1rem;

    &-item {
      width: 320px;
      text-align: center;

      background-color: $dark-accent-secondary;
      color: $white-light;

      &.el-select-dropdown__item.hover,
      &.el-select-dropdown__item:hover {
        background-color: lighten($dark-accent-secondary, 5%);
      }

      &.selected {
        color: $white-light;
      }
    }

    .el-select {
      width: 100%;
    }

    .el-input__inner {
      color: $white-light;
      background-color: transparent;
      border: 1px solid $accent-color-main;

      &:hover,
      &:focus {
        border-color: $accent-color-main;
      }

      &::placeholder {
        color: $dark-accent-primary;
      }
    }

    .el-input {
      width: 100%;
    }

    .el-input .el-select__caret {
      color: $accent-color-main;
    }

    .el-input.is-focus .el-input__inner {
      border-color: $accent-color-main;
    }
  }

  &__tags {
    margin-bottom: 1rem;

    &-content {
      margin-bottom: 1rem;
      min-height: 40px;
      border: 1px solid $accent-color-main;
      padding: 5px 12px;
      border-radius: 3px;
      
      display: flex;
      flex-wrap: wrap;
      width: 100%;
    }

    &-item {
      margin-top: 2px;
      border: 0;
      line-height: 24px;
      margin-right: 2px;

      &.el-tag--dark {
        background-color: $dark-hover;
        border-color: $dark-accent-secondary;
        color: $white-light;

        .el-tag__close {
          color: $white-light;
          top: 0;

          &:hover {
            color: $white;
            background-color: transparent;
          }
        }
      }
    }

    &-input {
      margin-top: 2px;
      width: auto;
      flex: 1 0 auto;

      .el-input__inner {
        background-color: transparent;
        border: 0;
        color: $white-light;
        height: 24px;
        line-height: 24px;
        padding-left: 0;
        padding-right: 0;

        &::placeholder {
          color: $white60;
        }

        &:focus {
          &::placeholder {
            color: transparent;
          }
        }
      }
    }

    &-new-button {
      background-color: transparent;
      border: 1px solid $accent-color-main;
      width: 100%;
      text-align: left;
      color: $dark-accent-primary;
      padding-left: 10px;

      &:hover,
      &:active,
      &:focus {
        border: 1px solid $accent-color-main;
        color: $dark-accent-primary;
      }

      &.is-max-tag {
        border-color: $white-lighter;
        color: $white-lighter;
      }
    }

    &-error {
      margin: 2px 0;
      color: $danger;
    }
  }
}
